Core - Task # 24954

Status: Closed Priority: Should have
Author: Francois Suter Category:

Created: 2011-02-04 Assigned To:

Updated: 2012-03-07 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity:

Sprint Focus:

Subject: The Big Cleanup 4.6

Description

This is an umbrella task meant to be used to group all tasks related to removing obsolete stuff in TYPO3 4.6 and in general clean up

the source code.

(issue imported from #M17481)

Subtasks:
Bug # 26274: Remove last relics of IE6 backend support Resolved
Task # 27983: Remove deprecated parts marked for removal in TYPOS3 4.4/4.5/4.6 Closed
Bug # 28053: Remove deprecated XLLfile hook Closed
Related issues:
related to Core - Bug # 24955: Remove all mentions of SLANG_GENERAL_LABELS Resolved 2011-02-04
related to Core - Bug # 25027: Remove jsMinify, json wrapper etc Closed 2011-02-14
related to Core - Bug # 25080: Remove deprecated function getCountCacheTables... Resolved 2011-02-18
related to Core - Bug # 25081: Remove deprecated function formatSize() from t... Resolved 2011-02-18
related to Core - Bug # 25082: Method bytes() in tslib_cObj is deprecated and... Resolved 2011-02-18
related to Core - Bug # 25008: htmlArea RTE: Clean-up umbrella for 4.6 Resolved 2011-02-11
related to Core - Bug # 25094: Remove deprecated methods from t3lib_div Resolved 2011-02-19
related to Core - Bug # 25095: Remove deprecated class gzip_encode Resolved 2011-02-19
related to Core - Bug # 25096: Remove deprecated reduceColors() from t3lib_st... Resolved 2011-02-19
related to Core - Bug # 25097: Remove deprecated class t3lib_matchcondition Resolved 2011-02-19
related to Core - Bug # 25098: Remove deprecated method redirect() from t3lib... Resolved 2011-02-19
related to Core - Bug # 25103: Remove deprecated functions scheduled for remo... Resolved 2011-02-19
related to Core - Bug # 25104: Remove deprecated file typo3/contrib/json/json... Resolved 2011-02-19
related to Core - Bug # 24739: remove deprecated typo3/contrib/json/ Resolved 2011-01-23
related to Core - Bug # 25206: Remove Stylesheets and files only for IE6 from... Closed 2011-03-01
related to Core - Bug # 25209: Remove SpriteGenerator |IE6 Fallback Resolved 2011-03-01
related to Core - Bug # 25332: Remove safe_mode support Closed 2011-03-16
related to Core - Task # 25334: Remove global declarations inside methods Closed 2011-03-16
related to Core - Bug # 21398: Remove deprecated methods in t3lib_htmImail Closed 2009-10-29
related to Core - Bug # 23836: remove DEPRECATED static templates Closed 2010-10-25
related to Core - Bug # 23010: Remove deprecated methods with deprecation log... Closed 2010-06-27
related to Core - Bug # 25395: Remove explicit checks for PHP < 5.3 Closed 2011-03-25
History
#1 - 2011-03-29 15:32 - Ernesto Baschny
- Tracker changed from Bug to Task
- TYPO3 Version changed from 4.5 to 4.6
- PHP Version deleted (5.3)
#2 - 2011-10-25 23:45 - Chris topher
- Target version changed from 4.6.0 to 4.6.1
- Estimated time set to 0.00

#3 - 2011-10-31 12:54 - Chris topher
- Subject changed from The Big Cleanup to The Big Cleanup 4.7

- Status changed from New to Resolved
- Estimated time set to 0.00

Closed for now as 4.6 is out now.

Issues for 4.7 are here: #31461.

#4 - 2011-10-31 12:58 - Chris topher

- Subject changed from The Big Cleanup 4.7 to The Big Cleanup 4.6

#5 - 2012-02-07 08:17 - Xavier Perseguers
- Status changed from Resolved to Closed

#6 - 2012-03-07 13:32 - Chris topher
- Estimated time deleted (0.00)
